Revert info->map_context
--- diff/drivers/md/dm-mpath.c	2004-09-28 16:11:40.000000000 +0100
+++ source/drivers/md/dm-mpath.c	2004-09-28 16:13:41.000000000 +0100
@@ -482,7 +482,7 @@
 }
 
 static int multipath_map(struct dm_target *ti, struct bio *bio,
-			 union map_info *info)
+			 union map_info *map_context)
 {
 	int r;
 	struct mpath_io *mpio;
@@ -498,7 +498,7 @@
 		return r;
 	}
 
-	info->ptr = mpio;
+	map_context->ptr = mpio;
 	return 1;
 }
 
@@ -564,10 +564,10 @@
 }
 
 static int multipath_end_io(struct dm_target *ti, struct bio *bio,
-			    int error, union map_info *info)
+			    int error, union map_info *map_context)
 {
 	struct multipath *m = (struct multipath *) ti->private;
-	struct mpath_io *mpio = (struct mpath_io *) info->ptr;
+	struct mpath_io *mpio = (struct mpath_io *) map_context->ptr;
 	int r;
 
 	r  = do_end_io(m, bio, error, mpio);
